Subject: Texas Unfinaled Invoices - May 2000 Production
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 12 Jun 2000 02:45:00 -0700 (PDT)

Please find the attached spreadsheets listing the unfinaled sales invoices 
for May production.  We have indicated which group is responsible for the 
outstanding item in the "Responsible Department" column.  The Settlement 
coordinator is also listed on these spreadsheets.  Please have your team 
members contact the coordinators directly for the information needed to final 
the invoice.

As communicated last week in our meeting with Sally, the deadline for 
completing this work so that the invoices can be finaled is Friday, June 16, 
2000.  We appreciate any efforts your teams can make in expediting the 
research to ensure we can final all May invoices by the end of day Friday.

Thank you for your support and cooperation in these efforts. 

Lisa